import request from '@/utils/request';

// 获取列表
export const getInvoicePersonList = (params) =>
  request(`/invoice/${params.invoiceId}/person`, { params });

// 新增保存
export const saveInvoicePerson = (data, invoiceId) =>
  request(`/invoice/${invoiceId}/person`, { data, method: 'post' });

/**
 * 删除报销人员
 * @param {*} data
 * @returns
 */
export const deleteInvoicePerson = (id, invoiceId) =>
  request(`/invoice/${invoiceId}/person/${id}`, { method: 'delete' });

// 批量新增保存
export const saveImportPerson = (data, invoiceId) =>
request(`/invoice/${invoiceId}/person/import`, { data, method: 'post' });
